Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Groovy] Class XmlCommandRegistrar

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.XmlCommandRegistrar

    class XmlCommandRegistrar
    extends Object

Registers Command instances from and XML file.

Authors:
  Jason Dillon

Version:
  \$Id: XmlCommandRegistrar.groovy 7581 2007-08-23 01:47:47Z user57 \$

Constructor Summary
`XmlCommandRegistrar(Shell shell, ClassLoader classLoader)`

Method Summary
`void` | `register(URL url)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### XmlCommandRegistrar

    XmlCommandRegistrar(Shell shell, ClassLoader classLoader)

Method Detail

### register

    void register(URL url)

Copyright © 2003-2010 The Codehaus. All rights reserved.